Subject: Re: Strange behavior with commands CD' and 'ls'
From: [email-masked] (Ashish Khurana)

19 May 1998 08:41:30 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked], [email-masked]

>From [email-masked] Mon May 18 10:48:37 1998
>Received: from home (d24.dial-2.cmb.ma.ultra.net [209.6.65.24]) by 
antiochus-fe0.ultra.net (8.8.8/ult.n14767) with SMTP id NAA21660 for 
<[email-masked]>; Mon, 18 May 1998 13:48:34 -0400 (EDT)
>Message-Id: <[email-masked]>
>X-Sender: [email-masked]
>X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.5 (32)
>Date: Mon, 18 May 1998 13:49:07 -0400
>To: "Ashish Khurana" <[email-masked]>
>From: Larry Hall <[email-masked]>
>Subject: Re: Strange behavior with commands CD' and 'ls'
>In-Reply-To: <[email-masked]>
>Mime-Version: 1.0
>Content-Type: text/plain; charset="us-ascii"
>
>At 04:28 AM 5/16/98 IST, you wrote:
>>Can anybody tell me what is this all?
>>
>>Sequence of commands I tried are:--
>>
>>Q:\>cygnus
>>Cygnus Cygwin32 B19
>>bash-2.01$ pwd
>>//Q
>>bash-2.01$ ls
>>classes   data      doc       lib       makefile  src
>>bash-2.01$ cd classes
>>bash-2.01$ ls
>>com       makefile
>>bash-2.01$ cd ..
>>bash-2.01$ pwd
>>//Q
>>bash-2.01$ ls
>>com       makefile
>>bash-2.01$
>>----
>>
>>
>>The Q:\ is my virtual drive named to one of my subdirectory in the 
>>system. I'm using NT 4.0 and Cygnus 19 even the patch update 19.1 is 
>>also installed on my m/c.
>>
>>Thanks,
>>Ashish
>>
>>
>
>
>Happens here too when using the pseudo UNC (//) nomenclature for paths.
>Works fine if you use a mounted path.  This is most likely a bug, 
perhaps
>similar to the issue that occurs if you cd into a symbolically linked
>directory that was not created with a full path (i.e. ln -s bin vs
>ln -s /usr/bin).
>
[Ashish] Larry if I'm not wrong, are you suggesting to use something 
like,
cd Q:/ instead of cd .. wherever I feel to go back to q:?

Basically I am using such set of statements recursively in my makefile, 
not exactly the same as I mentioned in my problem but 
more or less of the similar fashion. So there I can't hard code the 
path. 

Suggestions?
Thanks,
Ashish

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".